/*
*	Utility includes. This file must not generate any css rules.
*/
/*
*	Variables, mixins and functions
*/
/*
*    This function is responsible of returning the transparency color
*    depending on the input parameters.
*    Note: If no parameters are passed, the function will return "transparent".
*
*     Parameters:
*         $type - The type of the transparency. Can be "Darken" or "Brighten".
*        $level - Level of transparency. Can be from 0 to 100.
*
*    Usage:
*        .class-name {
*            background-color: get-transparency(Darken, 38);
*        }
*    Result:
*        .class-name {
*            background-color: rgba(0, 0, 0, 0.38);
*        }
*/
/*
*    This function is responsible of returning the state color
*    depending on the input parameter.
*    Note: If no parameters are passed, the function will return null (no css will be generated).
*
*     Parameters:
*        $states - A map where all of the states are defined. Please check the map's structure in _colors.scss file.
*         $type - The type of the state. Please check the state definitions in _colors.scss file.
*
*    Usage:
*        .class-name {
*            color: get-state(info);
*        }
*    Result:
*        .class-name {
*            color: #17A2B8;
*        }
*/
/*
*    This function is responsible of returning the brand color
*    depending on the input parameters.
*    Note: If no parameters are passed or only the type is passed, the function will return null (no css will be generated).
*
*     Parameters:
*         $type - The type of the brand color. Can be "primary" or "secondary". Please check the $brand-primary and $brand-secondary in _colors.scss file.
*        $name - The name of the color. Please check the $brand-primary and $brand-secondary in _colors.scss file.
*        $opacity - The opacity of the returned color.
*
*    Usage:
*        .class-name {
*            color: get-brand-color(primary, creme, 70);
*        }
*    Result:
*        .class-name {
*            color: rgba(255, 243, 229, 0.7);
*        }
*/
/*
*    This variable is used for defining the fallback font families that are defined after main ones.
*/
/*
*    The site`s color palette:
*
*/
/*
*    Main Brand Color Palette (use them with get-brand-color() function):
*/
/*
*    Opaque Color Palette:
*/
/*
* Other colors
*/
/*
*    Main transparency levels
*/
/*
* Transparency
*/
/*
*    State colors (use them with get-state() function)
*/
/*
*    A variable used for defining the spaces used.
*/
/*
*    This mixin is used for adding spacing (margin) styles.
*    Input parameters specification:
*        Uses the $spacing variable defined in _typography_vars.scss file. Please check the structure of the object.
*        If no parameters are passed, no style definitions will be created.
*        The mixin accepts any number of arguments (15px, 10px) and/or the following ones:
*            - xs
*            - s
*            - m
*            - l
*            - xl
*            - xxl
*    Usage:
*        .class-name {
*            @include spacing(m, xl, 10px, 15px);
*        }
*        .class-name2 {
*            @include spacing(m, 30px);
*        }
*    Result:
*        .class-name {
*            margin: 24px 48px 10px 15px;
*        }
*        .class-name2 {
*            margin: 24px 30px;
*        }
*/
/*
*    This mixin is used for adding spacing (margin) to the passed orientation (top, right, bottom, left) styles.
*    Input parameter specification:
*        Uses the $spacing variable defined in _typography_vars.scss file. Please check the structure of the object.
*        @param $orientation parameter must have one of the following parameters:
*            - top
*            - right
*            - bottom
*            - left
*        @param $value parameter can have a user defined value (e.g 10px) or one of the following:
*            - xs
*            - s
*            - m
*            - l
*            - xl
*            - xxl
*    Usage:
*        .class-name {
*            @include spacing-orientation(top, 30px);
*        }
*        .class-name2 {
*            @include spacing-orientation(bottom, xl);
*        }
*    Result:
*        .class-name {
*            margin-top: 30px;
*        }
*        .class-name {
*            margin-bottom: 48px;
*        }
*/
/*
*    This mixin is used for button styles.
*
*     Parameters:
*        $color
*        $background-color
*        $border-color
*/
header {
  z-index: 9999;
}

@media (min-width: 992px) {
  .noerror-page-heading {
    margin-top: 150px;
  }
}

.error-hero {
  background: none;
  margin-bottom: 0;
}
@media (min-width: 992px) {
  .error-hero.hero {
    height: 0;
  }
  .error-hero h1.page-title {
    margin: 45px 0;
  }
}

.search-in-body {
  z-index: auto;
}

.search-row {
  margin-bottom: 6.875rem;
}

body #maincontent .search-row .search-in-body .suggestions-wrapper .button-primary-green {
  color: #f8f7f0;
}

.reset-button-body {
  right: 1.5625rem;
  top: 1.796875rem;
  color: #999;
  font-size: 1.5625rem;
  position: absolute;
  border: none;
  padding: 0;
  background-color: transparent;
}
